#include<stdio.h>
#include<stdlib.h>

int main(int argc, char * argv[]) {
	double a = 2.0;
	int b = 02;
	char c = 0x32;
	long d = 2L;

	printf("%1.0f\n", a);
	printf("%d\n", b);
	printf("%c\n", c);
	printf("%ld\n", d);
	return EXIT_SUCCESS;
}

